org.apache.cassandra.utils.concurrent

## Class Locks

- java.lang.Object
- - org.apache.cassandra.utils.concurrent.Locks

    public class Locks
    extends java.lang.Object

### Constructor Summary

Constructors
Constructor and Description
`Locks()`

### Method Summary

All Methods Static Methods Concrete Methods
`static void` `monitorEnterUnsafe(java.lang.Object object)`
`static void` `monitorExitUnsafe(java.lang.Object object)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Locks

    public Locks()

### Method Detail

#### monitorEnterUnsafe

    public static void monitorEnterUnsafe(java.lang.Object object)

#### monitorExitUnsafe

    public static void monitorExitUnsafe(java.lang.Object object)